import React, { useState } from 'react';
import { Image } from 'react-native';
import FastImage from '@zfkcyjy/react-native-fast-image';
import { getResizeMode } from './util/_util';
/**
 * This is a Image that you can use like <Image>
 * But this will automatic add the loading and the cache.
 * @param props
 * @constructor
 */
var ImgWithLoadingAndCache = function (props) {
    var _a = useState(true), isLoading = _a[0], setIsLoading = _a[1];
    var originUri = '';
    if (props.source) {
        originUri = props.source.uri;
    }
    var isUri = !!originUri;
    return isUri ? (<FastImage onLoadEnd={function () {
            setIsLoading(false);
        }} style={props.style} source={{ uri: originUri }} resizeMode={getResizeMode(props.resizeMode)}/>) : (<Image loadingIndicatorSource={props.loadingSrc} onLoadEnd={function () {
            setIsLoading(false);
        }} {...props}/>);
};
export default ImgWithLoadingAndCache;
//# sourceMappingURL=ImgWithLoadingAndCache.js.map